be.fgov.ehealth.dics.protocol.v4

## Class ListConsultationResponseType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
      - - be.fgov.ehealth.dics.protocol.v4.ListConsultationResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    GetListOfActualMedicinalProductPackagesResponse, GetListOfActualMedicinalProductsResponse, GetListOfVirtualMedicinalProductsResponse, GetListOfVmpGroupsResponse

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:26:58+01:00",
                 comments="JAXB RI v2.3.7")
      public class ListConsultationResponseType
      extends PaginationStatusResponseType
      implements Serializable

  Java class for ListConsultationResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ListConsultationResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationStatusResponseType">
             <attribute name="Total" type="{http://www.w3.org/2001/XMLSchema}int" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListConsultationResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getTotal()` Gets the value of the total property.
    `void` | `setTotal(Integer value)` Sets the value of the total property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType

      `getMaxElements, getOffset, setMaxElements, setOffset`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListConsultationResponseType

          public ListConsultationResponseType()

  - ### Method Detail

    - #### getTotal

          public Integer getTotal()

      Gets the value of the total property.
      Returns:
        possible object is `Integer`

    - #### setTotal

          public void setTotal(Integer value)

      Sets the value of the total property.
      Parameters:
        `value` - allowed object is `Integer`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.